# Uses of Enum
org.kapott.hbci.sepa.jaxb.camt_052_001_09.POIComponentType1Code

Packages that use POIComponentType1Code
Package
Description
org.kapott.hbci.sepa.jaxb.camt_052_001_09

## Uses of POIComponentType1Code in org.kapott.hbci.sepa.jaxb.camt_052_001_09

Fields in org.kapott.hbci.sepa.jaxb.camt_052_001_09 declared as POIComponentType1Code
Modifier and Type
Field
Description
`protected POIComponentType1Code`
PointOfInteractionComponent1.`poiCmpntTp`
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_09 that return POIComponentType1Code
Modifier and Type
Method
Description
`static POIComponentType1Code`
POIComponentType1Code.`fromValue(String v)`
`POIComponentType1Code`
PointOfInteractionComponent1.`getPOICmpntTp()`
Gets the value of the poiCmpntTp property.
`static POIComponentType1Code`
POIComponentType1Code.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static POIComponentType1Code[]`
POIComponentType1Code.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.kapott.hbci.sepa.jaxb.camt_052_001_09 with parameters of type POIComponentType1Code
Modifier and Type
Method
Description
`void`
PointOfInteractionComponent1.`setPOICmpntTp(POIComponentType1Code value)`
Sets the value of the poiCmpntTp property.